devel/nspr - The NetBSD Packages Collection

Platform-neutral API for system level and libc like functions

Netscape Portable Runtime (NSPR) provides a platform-neutral API for system
level and libc-like functions. The API is used in the Mozilla clients, many
of Red Hat's and Oracle's server applications, and other software offerings.

Build dependencies

pkgtools/cwrappers devel/autoconf devel/gmake lang/perl5

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfnspr-4.29.tgz
NetBSD 8.0earmv7hfnspr-4.29.tgz
NetBSD 8.0earmv7hfnspr-4.29.tgz
NetBSD 8.0earmv7hfnspr-4.31.tgz
NetBSD 8.0i386nspr-4.29.tgz
NetBSD 8.0i386nspr-4.29.tgz
NetBSD 8.0i386nspr-4.29.tgz
NetBSD 8.0i386nspr-4.31.tgz
NetBSD 8.0powerpcnspr-4.29.tgz
NetBSD 8.0powerpcnspr-4.29.tgz
NetBSD 8.0powerpcnspr-4.29.tgz
NetBSD 8.0powerpcnspr-4.31.tgz
NetBSD 8.0powerpcnspr-4.31.tgz
NetBSD 8.0x86_64nspr-4.29.tgz
NetBSD 8.0x86_64nspr-4.29.tgz
NetBSD 8.0x86_64nspr-4.29.tgz
NetBSD 8.0x86_64nspr-4.31.tgz
NetBSD 9.0aarch64nspr-4.32.tgz
NetBSD 9.0aarch64nspr-4.29.tgz
NetBSD 9.0aarch64nspr-4.29.tgz
NetBSD 9.0aarch64nspr-4.29.tgz
NetBSD 9.0aarch64nspr-4.31.tgz
NetBSD 9.0alphanspr-4.31.tgz
NetBSD 9.0alphanspr-4.29.tgz
NetBSD 9.0alphanspr-4.32.tgz
NetBSD 9.0earmnspr-4.29.tgz
NetBSD 9.0earmnspr-4.31.tgz
NetBSD 9.0earmv6hfnspr-4.32.tgz
NetBSD 9.0earmv6hfnspr-4.29.tgz
NetBSD 9.0earmv6hfnspr-4.29.tgz
NetBSD 9.0earmv6hfnspr-4.29.tgz
NetBSD 9.0earmv6hfnspr-4.29.tgz
NetBSD 9.0earmv6hfnspr-4.31.tgz
NetBSD 9.0earmv7hfnspr-4.31.tgz
NetBSD 9.0earmv7hfnspr-4.29.tgz
NetBSD 9.0earmv7hfnspr-4.29.tgz
NetBSD 9.0earmv7hfnspr-4.29.tgz
NetBSD 9.0earmv7hfnspr-4.29.tgz
NetBSD 9.0earmv7hfnspr-4.29.tgz
NetBSD 9.0earmv7hfnspr-4.31.tgz
NetBSD 9.0earmv7hfnspr-4.32.tgz
NetBSD 9.0i386nspr-4.29.tgz
NetBSD 9.0i386nspr-4.29.tgz
NetBSD 9.0i386nspr-4.29.tgz
NetBSD 9.0i386nspr-4.31.tgz
NetBSD 9.0m68knspr-4.29.tgz
NetBSD 9.0m68knspr-4.29.tgz
NetBSD 9.0m68knspr-4.31.tgz
NetBSD 9.0mips64ebnspr-4.31.tgz
NetBSD 9.0mips64ebnspr-4.29.tgz
NetBSD 9.0mips64ebnspr-4.29.tgz
NetBSD 9.0mips64ebnspr-4.29.tgz
NetBSD 9.0mips64ebnspr-4.32.tgz
NetBSD 9.0mipselnspr-4.31.tgz
NetBSD 9.0mipselnspr-4.29.tgz
NetBSD 9.0mipselnspr-4.29.tgz
NetBSD 9.0mipselnspr-4.32.tgz
NetBSD 9.0powerpcnspr-4.31.tgz
NetBSD 9.0powerpcnspr-4.29.tgz
NetBSD 9.0powerpcnspr-4.29.tgz
NetBSD 9.0powerpcnspr-4.29.tgz
NetBSD 9.0powerpcnspr-4.31.tgz
NetBSD 9.0sparc64nspr-4.31.tgz
NetBSD 9.0sparc64nspr-4.29.tgz
NetBSD 9.0sparc64nspr-4.32.tgz
NetBSD 9.0sparcnspr-4.31.tgz
NetBSD 9.0sparcnspr-4.29.tgz
NetBSD 9.0sparcnspr-4.29.tgz
NetBSD 9.0sparcnspr-4.29.tgz
NetBSD 9.0sparcnspr-4.32.tgz
NetBSD 9.0x86_64nspr-4.32.tgz
NetBSD 9.0x86_64nspr-4.32.tgz
NetBSD 9.0x86_64nspr-4.29.tgz
NetBSD 9.0x86_64nspr-4.29.tgz
NetBSD 9.0x86_64nspr-4.29.tgz
NetBSD 9.0x86_64nspr-4.31.tgz
NetBSD 9.0x86_64nspr-4.32.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.